Ошибка при удалении программ

При удалении программ из графической оболочки Yast2, в особенности, когда есть зависимости в пакетах, то Yast падает и появляется табличка (иконка книжечки Zenity) с ошибкой Error, где в поле окна написано следующее:

YaST got signal 11 at YCP file PackagesUI.ycp:280/sbin/yast2: line 427: 22786 Ошибка сегментирования $ybindir/y2base $module “$@” “$SELECTED_GUI” $Y2_GEOMETRY $Y2UI_ARGS

Неоднократно замечал, что при удалении именно с графического Yast при зависимостях пакетов, происходит падение и выдает ошибку.
В терминальном Yast-е такого никогда не было.

Проблема появилась после перехода к версии 12.2. Раньше такого не было.
Как решить проблему, чтобы при удалении программ через графический Yast он не падал?

openSUSE 12.2
Linux 3.4.11-2.16-desktop i686
KDE: 4.9.3 “release 5”
Ни разу яст не падал,работает практически только в граф. режиме и пакеты ставил/удалял всяко разно.
И с зависимостями, и с запретами установки, и с запретами обновления.

andranique wrote:

> YaST got signal 11 at YCP file PackagesUI.ycp:280/sbin/yast2: line
> 427: 22786 Ошибка сегментирования
> $ybindir/y2base $module “$@” “$SELECTED_GUI” $Y2_GEOMETRY $Y2UI_ARGS

Пишитие жалобу в багзилу. Приложите к сообщению y2logs.
http://en.opensuse.org/openSUSE:Report_a_YaST_bug

Я конечно извиняюсь,но может, прежде, чем писать в багзилу, обновить софт (даже в openSuse-12.2-Oss лежит ядро 3.4.6.-10.1,не говоря про Update)
и посмотреть список прог на предмет наличия от разных версий?

ядро последнее-обновленное 3.6

попробую написать в багзилу. Ни разу не писал туда, надеюсь получится.

Так и не написал в багзиллу. Не разобрался как делать и что писать. А абы как писать не хочется.

Само сообщение об ошибке разработчикам ничего не скажет, так как оно насколько я понимаю выводится чуть ли не при любом падении в яст. Поэтому дополнительно им наверняка понадобится лог /var/log/YaST2 ну и плюс просто опишите последовательность действий приводящих к ошибке. Далее в зависимости от того, что скажут сделать.

откуда брать? Папка не открывается, закрыта для просмотра. Може в терминале как то можно посмотреть?

andranique wrote:

>> понадобится лог /var/log/YaST2
>
> откуда брать? Папка не открывается,
> закрыта для просмотра. Може в терминале
> как то можно посмотреть?

Я выше давал ссылку: http://en.opensuse.org/openSUSE:Report_a_YaST_bug

Я писал об этом в багзиллу: Access Denied. Но кажется никому это не интересно. Еще один парень писал: Access Denied. Его послали по формальному поводу.

Что интересно, qt версия yast этим не страдает. Какая-то фигня с gtk+yast. И распространяется только на пакетный менеджер.

Если автору поста реально мешает, то можно переключиться на qt версию в самом же ясте, предварительно доставив необходимые пакеты.

Я так и баг-репорт не написал.

Для меня GTK-Yast не принципиален. Я обновления делаю через терминал.

Было бы полезно, если б вы в том багрепорте тоже отметились - у меня тоже, пишет вот такое. Авось быстрей мейнтейнер среагирует. Спасибо.

Пока не могу выделить время и разобраться в этом. Никогда не писал баг-репорты. Желание быть соучастником имеется.

Но кажется никому это не интересно. Что интересно, qt версия yast этим не страдает.

Да сусешники вообще по моему на GTK (GNOME) забили. Баг то серьезный и неприятный.

Нет. Разработчики YaST на всё забили.
Я вообще не понимаю, чем они занимаются, сидя на зарплате в SUSE.

Тоже имею опыт с багом: Access Denied
Несколько месяцев никто не шевелился, пока я в рассылку opensuse-factory не написал. После этого кто-то поменял приоритет на “P3 - Medium”, и опять всё заглохло.
Что интересно, я не вижу каких-то значимых комитов в openSUSE от YaST-команды. Какая-то мелочёвка иногда проскакивает.

Вдруг случилось чудо - похоже скоро прилетят патчи с исправлениями: Access Denied и gtk+yast перестанет валиться в пакетном менеджере.